package com.ti.mobpo.ui.screens

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.runtime.collectAsState
import androidx.compose.runtime.getValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import com.ti.mobpo.R
import com.ti.mobpo.ui.SearchBar
import androidx.lifecycle.viewmodel.compose.viewModel
import com.ti.mobpo.ui.PokeSearchViewModel

@Composable
fun PokeSearchScreen(pokesearchViewModel: PokeSearchViewModel = viewModel()){
    val pokesearchUiState by pokesearchViewModel.uiState.collectAsState()
    PokeSearch()
}

@Composable
fun PokeSearch() {
    Column (
        verticalArrangement = Arrangement.Top,
        horizontalAlignment = Alignment.CenterHorizontally,
        modifier = Modifier
            .fillMaxSize()
            .padding(20.dp)
    ) {
        SearchBar(stringResource(R.string.input_field_label)){ value ->
            run {
                println(value)
            }
        }
    }
}
@Preview(showBackground = true)
@Composable
fun PokeSearchApp(){
    PokeSearchScreen()
}